import '../repositories/payment_repository.dart';
import '../../core/result.dart';

class RemovePaymentCardUsecase {
  final PaymentRepository repository;

  RemovePaymentCardUsecase(this.repository);

  Future<Result<void>> call(int cardId) {
    return repository.removePaymentCard(cardId);
  }
}
